#ifndef INSTANCE_H
#define INSTANCE_H

#include "main.h"
#include "niceshaper.h"

class Instance {
    public:
        Instance( char[], unittype statsunit );
        ~Instance();
        void killChild();
        void sendResult(NiceShaper *);
        void sendContinue();
        int sendFatalError();
        int waitForContinue();
        int getResult();
        void sendInitStatusError();
        void sendInitStatusOk();
        int getInitStatus();
        void dumpStats(int);
        class Instance *next;
    private:
        int PipeRead;
        int PipeWrite;
        int Pid;
        char StatsUnitStr[SHORT_BUF+1];
        unittype statsunit;
        std::vector < char *> StatsContainer;
};

#endif
