/*                                        
 * 	NiceShaper - Dynamic Traffic Management                                                                                                                           
 * 	
 * 	Copyright 2004 Mariusz Jedwabny <mariusz@jedwabny.net>                                                                                                             
 *                                                                                                                                                                                 
 * 	This file is subject to the terms and conditions of the GNU General Public                                                                                                      
 * 	License.  See the file COPYING in the main directory of this archive for                                                                                                        
 * 	more details.                                                                                                                                                                   
 */      

#include "sys.h"

Sys::Sys ()
{
    DebugIpt = false;
    DebugTc = false;
}

void Sys::ipt( const char command[] )
{                    
    char buf[LONG_BUF]; 
                                                                                                                                           
    if (DebugIpt) {
	sprintf( buf, "%s: %s", section, command );
	info->log((char *)buf);
    }
    system(command);
}                                                                                                                                                            
	                                                                                                                                                               
void Sys::tc( char command[] )
{                                                                                                                                                            
    char buf[LONG_BUF]; 

    if (DebugTc) {
	sprintf( buf, "%s: %s", section, command );                                                                                                                     
	info->log((char *)buf);
    }                                                                                                                                                          
    system(command);                                                                                                                                           
}                                                                                                                                                            
		                                                                                                                                                                 
