#ifndef CONV_H
#define CONV_H

#include "main.h"
#include "aux.h"
#include "error.h"
#include "tests.h"

class Conv 
{
    public:
	Conv();
        ~Conv();
        int convToFpv ( vector < char * > &, FILE *, filetype, vector < unsigned int > &, bool, char [] ); 
        int convertUsersFile ( vector < char * > &, FILE *, char [], char [], char [], char [], bool, bool ); 
    private:
        int directiveSplit ( vector < char * > &, char [] ); 
        class Include *include;
};

class Include 
{
    public:
        Include();
        int fill ( char [], bool & ); 
        friend class Conv;
    private:
        char Path[MAX_PATH];
        char Type[SHORT_BUF];
        char DownloadSection [SHORT_BUF];
        char UploadSection [SHORT_BUF];
        char IfaceInet [MAX_IFACE];
        bool ResolveHostName;
};

#endif
