#ifndef NET_H
#define NET_H

#include "main.h"
#include "aux.h"
#include "error.h"
#include "sys.h"
#include "tests.h"

class Net {
    public:
	Net();
	~Net();
	int init( char[], bool, std::vector < char * > & );
	int envInit( char[], char[], unsigned int );
    private:
        char Dev[MAX_IFACE+1];
	char Match[LONG_BUF+1];  
	char IptMyParent[SHORT_BUF+1];
	char IptMatch[LONG_BUF];
	bool IptApplied;
	bool Alias;
};

#endif
