#ifndef TESTS_H                                                                                                                                         
#define TESTS_H  

#include "main.h"
#include "aux.h"

#include <sys/ioctl.h>
#include <net/if.h>
#include <sys/socket.h>
#include <arpa/inet.h>

class Tests
{
    public:
	bool getSysDevices();
	bool validSysDev(char[]);
        bool validDev(char[]);
        bool validIp(char[]);
        bool validPort(int);
        bool validWhiteLine(char[]);
        bool solidIpMask(char[]);
        bool wordInCharTable ( char [], char [] );
        bool fileIsReadable ( char [] ); 
    private:
	vector < string > sysNetDevices;
};

#endif
